# Azure Function (.NET 6) JSON Schema Validator for IoT (Event Hub input,Structured Outputs) Template

This extension creates a Visual Studio solution (*.sln) containing an Azure Function.
It contains the required code to:

- read Event Hub messages (configurable);
- validate the message structure to its related schema (through the "$schema" property);
- push the validated messages to another Event Hub and to an Azure Storage (cold storage of the raw validated messages);
- structure the Azure Storage content by device id and date;
- include optional commissioning controls.
